TEMPLATE = app
TARGET = shorts

load(ubuntu-click)

QT += qml quick

SOURCES += main.cpp \
    CachingNetworkManagerFactory.cpp

RESOURCES += shorts.qrc

OTHER_FILES += ..\shorts.apparmor \
    ..\shorts.desktop \
    ..\shorts.png \
    ..\contenthub.json \
    qml/utils/databasemodule_v2.js \
    qml/utils/dateutils.js \
    qml/utils/imgSeparator.js \
    qml/components/ArticleViewItem.qml \
    qml/components/BottomEdgeTabs.qml \
    qml/components/FakeHeader.qml \
    qml/components/GoogleFeedApi.qml \
    qml/components/GridModeItem.qml \
    qml/components/ListModeItem.qml \
    qml/components/NetworkManager.qml \
    qml/components/OptionsKeeper.qml \
    qml/components/OrganicGrid.qml \
    qml/components/ReadingOptions.qml \
    qml/components/DarkModeShader.qml \
    qml/delegates/ArticleFullImg.qml \
    qml/delegates/ArticleOneImgA.qml \
    qml/delegates/ArticleTextA.qml \
    qml/delegates/ArticleTextB.qml \
    qml/pages/AppendFeedPage.qml \
    qml/pages/ArticleViewPage.qml \
    qml/pages/ChooseTopicPage.qml \
    qml/pages/CreateTopicPage.qml \
    qml/pages/EditFeedPage.qml \
    qml/pages/FeedComponent.qml \
    qml/pages/SwipeDelete.qml \
    qml/pages/TopicComponent.qml \
    qml/pages/TopicManagement.qml \
    qml/tabs/BaseTab.qml \
    qml/tabs/SavedTab.qml \
    qml/tabs/ShortsTab.qml \
    qml/tabs/TopicTab.qml \
    qml/shorts-app.qml \
    qml/content/SharePage.qml

#specify where the config files are installed to
config_files.path = /.
config_files.files += $${OTHER_FILES}
message($$config_files.files)
INSTALLS+=config_files

# Default rules for deployment.
target.path = $${UBUNTU_CLICK_BINARY_PATH}
INSTALLS+=target

HEADERS += \
    CachingNetworkManagerFactory.h

